%define major            0
%define libname          Herwig
%define libnamedev       Herwig-devel
%define develnamestatic  Herwig-static-devel
%undefine __brp_mangle_shebangs
%define debug_package %{nil}


Name:           Herwig
Version:        7.1.5
Release:        9%{?dist}

Summary:        Herwig is a multi-purpose particle physics event generator.
License:        GPLv3
Source0:        http://www.hepforge.org/archive/herwig/%{name}-%{version}.tar.bz2
Patch0:         patch-Herwig-0.txt
Url:            https://herwig.hepforge.org/
BuildRequires:  MG5_aMC lhapdf-sets-Herwig zlib zlib-devel ThePEG-devel ThePEG fastjet-devel 
BuildRequires:  lhapdf-devel EvtGen EvtGen-devel openloops pythia8-devel  njet gsl-devel gosam autoconf automake libtool  gcc-gfortran gcc-c++  gengetopt boost boost-devel
Requires:       MG5_aMC zlib fastjet  boost gosam ThePEG  EvtGen gsl  njet openloops  pythia8 lhapdf

%if  %{?rhel}%{!?rhel:0} == 8
BuildRequires: python2 platform-python-devel
Requires:       VBFNLO 
BuildRequires:  VBFNLO 
%endif
%if  %{?rhel}%{!?rhel:0} == 7
BuildRequires: python
Requires:       VBFNLO 
BuildRequires:  VBFNLO 
%endif

%if %{?fedora}%{!?fedora:0} >= 31
BuildRequires: python
BuildRequires: python3-devel
%endif
Prefix: %{_prefix}

%description
It is built based on the experience gained with both the HERWIG 6 and 
Herwig++ 2 event generators. Continuing the Herwig++ 2 development, 
Herwig 7.0 (Herwig++ 3.0) replaces any prior HERWIG or Herwig++ versions.
Herwig provides significantly improved and extended physics capabilities 
when compared to both its predecessors, HERWIG 6 and Herwig++ 2, while 
keeping the key model motivations such as coherent parton showers 
(including angular-ordered and dipole-based evolution), the cluster 
hadronization model, an eikonal multiple-interaction model, highly 
flexible BSM capabilities and improved perturbative input using 
next-to-leading order QCD.


%package  devel
Summary:        Libraries and headers for %{name}
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Prefix: %{_prefix}
%description devel
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.




%prep
%setup -q 
%patch0 -p 1

%build
%if  %{?rhel}%{!?rhel:0} == 8
pathfix.py -i /usr/bin/python2  -p -n  ./
./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu \
        --program-prefix= \
        --disable-dependency-tracking \
         \
        --prefix=/usr \
        --exec-prefix=/usr \
        --bindir=/usr/bin \
        --sbindir=/usr/sbin \
        --sysconfdir=/etc \
        --datadir=/usr/share \
        --includedir=/usr/include \
        --libdir=/usr/lib64 \
        --libexecdir=/usr/libexec \
        --localstatedir=/var \
        --sharedstatedir=/var/lib \
        --mandir=/usr/share/man \
        --infodir=/usr/share/info \
         --with-madgraph=%_prefix \
          --with-vbfnlo=/usr   --with-openloops=%_prefix/%_lib/openloops --with-pythia=%_prefix --with-evtgen=%_prefix --with-thepeg=%_prefix --with-gosam=%_prefix --with-njet=%_prefix  --libdir=/usr/%_lib
%endif

%if  %{?fedora}%{!?fedora:0} >= 31
pathfix.py -i /usr/bin/python2  -p -n  ./
CXXFLAGS=-std=gnu11
export FFLAGS='-std=legacy -std=legacy -fallow-argument-mismatch -fallow-invalid-boz'
export FCFLAGS='-std=legacy -std=legacy -fallow-argument-mismatch -fallow-invalid-boz'
LDFLAGS=' '
./configure --build=x86_64-redhat-linux-gnu --host=x86_64-redhat-linux-gnu \
        --program-prefix= \
        --disable-dependency-tracking \
         \
        --prefix=/usr \
        --exec-prefix=/usr \
        --bindir=/usr/bin \
        --sbindir=/usr/sbin \
        --sysconfdir=/etc \
        --datadir=/usr/share \
        --includedir=/usr/include \
        --libdir=/usr/lib64 \
        --libexecdir=/usr/libexec \
        --localstatedir=/var \
        --sharedstatedir=/var/lib \
        --mandir=/usr/share/man \
        --infodir=/usr/share/info \
         --with-madgraph=%_prefix  --with-openloops=%_prefix/%_lib/openloops --with-pythia=%_prefix --with-evtgen=%_prefix --with-thepeg=%_prefix --with-gosam=%_prefix --with-njet=%_prefix  --libdir=/usr/%_lib
%endif


%if  %{?rhel}%{!?rhel:0} == 7
%configure  --with-madgraph=%_prefix  --with-vbfnlo=/usr --with-openloops=%_prefix/%_lib/openloops --with-pythia=%_prefix --with-evtgen=%_prefix --with-thepeg=%_prefix --with-gosam=%_prefix --with-njet=%_prefix  --libdir=/usr/%_lib
%endif

%install
make %{?_smp_mflags}
%make_install 
sed -i "s|${RPM_BUILD_ROOT}||g" $RPM_BUILD_ROOT/%{_prefix}/share/Herwig/defaults/PDF.in
# contains Rivet /usr/share/Herwig/snippets/DipoleMerging.in
%files -n %{libname}
%_bindir/*
%_datadir/Herwig
%_libdir/Herwig



%files -n %{libnamedev}
%_bindir/herwig-config
%_includedir/Herwig
%_libdir/Herwig/*.so
%_libdir/Herwig/*.la

%changelog
* Thu Jan 17 2019 Andrii Verbytskyi 7.1.4
+ Spec for 7.1.4
* Fri Dec 22 2017 Andrii Verbytskyi 7.1.2
+ Spec for 7.1.2
* Thu May 26 2016 Andrii Verbytskyi 7.0.2
+ Initial spec file
